Package: org.codehaus.groovy.tools.shell

## [Groovy] Class BufferManager

- org.codehaus.groovy.tools.shell.BufferManager

- Manages the shells buffers.

  Authors:
    Jason Dillon
  Version:
    \$Id\$

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Logger` | `log` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<List<String>>` | `buffers`
    `int` | `selected`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BufferManager ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `clearSelected()`
    `int` | `create(boolean select)`
    `List<String>` | `current()`
    `void` | `delete(int index)`
    `void` | `deleteSelected()`
    `void` | `reset()`
    `void` | `select(int index)`
    `int` | `size()`
    `void` | `updateSelected(List buffer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected final Logger log

  - ### Property Detail

    - #### final List<List<String>> buffers

    - #### int selected

  - ### Constructor Detail

    - #### BufferManager()

  - ### Method Detail

    - #### void clearSelected()

    - #### int create(boolean select)

    - #### List<String> current()

    - #### void delete(int index)

    - #### void deleteSelected()

    - #### void reset()

    - #### void select(int index)

    - #### int size()

    - #### void updateSelected(List buffer)